# mongoc_apm_server_heartbeat_started_get_host()

## Synopsis

    const mongoc_host_list_t *
    mongoc_apm_server_heartbeat_started_get_host (
       const mongoc_apm_server_heartbeat_started_t *event);

Returns this event’s host. This mongoc_host_list_t is not part of a linked list, it is solely the server for this event. The data is only valid in the scope of the callback that receives this event; copy it if it will be accessed after the callback returns.

## Parameters

- `event`: A mongoc_apm_server_heartbeat_started_t.

## Returns

A mongoc_host_list_t that should not be modified or freed.

See also

Introduction to Application Performance Monitoring